var topicPage = new Vue({
    el: "#topicPage",
    data: {
        pageType: 0,
        floorDatas: []
    },
    computed: {

    },
    methods: {
        getFloorDatas: function () {
            var _self = this;
            if(this.pageType ===0){return;}
            $.getJSON("/page/topic",{type: this.pageType}).done(function (r) {
                if (r.code === 0 && r.data) {
                    _self.floorDatas = r.data;
                }
            });
        },

    },
    created: function () {
        this.pageType = getUrlParam("type") ? getUrlParam("type")*1 : 0;
        // 获取列表数据
        this.getFloorDatas();
    },
    mounted: function () {
        var _self = this;
    }
});
